- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ftd_file_upload – Uploads files to Cisco FTD devices over HTTP(S)

New in version 2.7.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Uploads files to Cisco FTD devices including disk files, backups, and upgrades.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
file_to_upload path / required added in 2.8 |  | Absolute path to the file that should be uploaded.
operation string / required |  | The name of the operation to execute. Only operations that upload file can be used in this module.
register_as string |  | Specifies Ansible fact name that is used to register received response from the FTD device.

## Examples

    - name: Upload disk file
      ftd_file_upload:
        operation: 'postuploaddiskfile'
        file_to_upload: /tmp/test1.txt

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | error | The error message describing why the module failed.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Cisco Systems, Inc. (@annikulin)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.